% entorno = CREA_ENTORNO
%
% entorno = CREA_ENTORNO(criterio_estabilidad,e,latitud,k)
%
% crea la estructura entorno para facilitar el manejo de los distintos parmetros externos
% y valores de constantes a tener en cuenta en los clculos. Se pide al usuario los 
% parmetros que falten
%
function entorno = crea_entorno
    k = 0.4;
    fprintf(1,'A continuacin se pedir al usuario que introduzca algunos valores que definen el entorno de medicin:\n\n');
    fprintf(1,'Introduzca el criterio de estabilidad:\n');
    fprintf(1,'1. Extremadamente inestable\n');
    fprintf(1,'2. Moderadamente inestable\n');
    fprintf(1,'3. Ligeramente inestable\n');
    fprintf(1,'4. Neutro\n');
    fprintf(1,'5. Ligeramente estable\n');
    fprintf(1,'6. Moderadamente estable\n');
    criterio_estabilidad = input('>');

    fprintf(1,'Introduzca la altura media de obstaculos [p.e. e=10]:\n');
	e = input('>');
	fprintf(1,'\n');

    fprintf(1,'Clculo del parmetro de Coriolis\n');
	fprintf(1,'Introducir latitud\n');
    fprintf(1,'grados:\n');
	grados = input('>');
	fprintf(1,'Introducir minutos\n');
	minutos = input('>');
    fprintf(1,'Introducir segundos\n');
	segundos = input('>');
	latitud=(grados+(minutos/60)+(segundos/3600))*pi/180;

    assert(e > 0, 'La altura media de obstculos tiene que ser mayor que 0');
    assert(criterio_estabilidad>=1 && criterio_estabilidad <= 6,'el criterio debe estar entre 1 y 6');


    entorno.e = e; %altura media de obstaculos
    entorno.Z0 = e/30;
    entorno.criterio_estabilidad = criterio_estabilidad;
    entorno.k = k; %constante de Karman
    entorno.latitud = latitud;
    entorno.f = coriolis(entorno.latitud,0,0); % coriolis

return
