% DIBUJA_ERROR dibuja error del perfil
%
% DIBUJA_ERROR(E,Ze,Zmax) calcula y representa grficamente el error interpolando los errores
%   a las alturas de las medidas tomadas por la estacion. E son los errores en los 
%   z definidos en Ze. la grfica se interpola desde 0 a Zmax. Se dibuja cmo la interpolacin 
%   de las medidas tomadas en la estacin.
%
function [E,Ex_total,Ey_total,Z] = dibuja_error(estacion,perfil,Zmax)
    
    if nargin < 3
        Zmax = 400;
    end
    
    [E,Ze] = calcula_error(estacion,perfil);
    
    Z = min(Ze):min([Zmax,max(Ze)]);

    % interpolamos el error 
    
    Ex = interp1(Ze,abs(E(:,1)),Z,'spline');
    Ey = interp1(Ze,abs(E(:,2)),Z,'spline');

    subplot(1,2,1);
    plot(Ex,Z,'r-',abs(E(:,1)),Ze,'ro');    

    subplot(1,2,2);
    plot(Ey,Z,'r-',abs(E(:,2)),Ze,'ro');    

    % interpolamos las medidas tomadas por la estacin

    Vx = interp1(Ze,estacion.V0(:,1),Z,'spline');
    Vy = interp1(Ze,estacion.V0(:,2),Z,'spline');

    subplot(1,2,1);
    plot(Vx,Z,'k-',estacion.V0(:,1),Ze,'ko');    

    subplot(1,2,2);
    plot(Vy,Z,'k-',estacion.V0(:,2),Ze,'ko');    

return
