% DIBUJA_PERFIL(perfil) dibuja el perfil vertical del viento
% 
%
function dibuja_perfil(perfil,Zmax)

    if nargin < 2
        Zmax = 400;
    end
    n = min(fix(Zmax*2),length(perfil.Z));

    fig = figure;
     
    %dibujamos la componente x
    subplot(1,2,1);
    plot(perfil.V(1:n,1),perfil.Z(1:n),'b-');
    title('Perfil componente Vx del viento');
    xlabel('x');
    ylabel('z');
    hold on;
    minx = floor(min(perfil.V(1:n,1)));
    maxx = ceil(max(perfil.V(1:n,1)));
    x = minx:maxx;
    l = length(x);
    plot(x,zeros(length(x))+perfil.Z0,'k--');
    if max(perfil.Z(1:n)) > perfil.Zsl
        plot(x,zeros(length(x))+perfil.Zsl,'k--');
        text(minx+0.2,perfil.Zsl + 8,'Zsl');
    end
    if max(perfil.Z(1:n)) > perfil.Hm
        plot(x,zeros(length(x))+perfil.Hm,'k--');
        text(minx+0.2,perfil.Hm + 8,'Hm');
    end
    if max(perfil.Z(1:n)) > perfil.Zpbl
        plot(x,zeros(length(x))+perfil.Zpbl,'k--');
        text(minx+0.2,perfil.Zpbl + 8,'Zpbl');
    end
    line([0 0],[0 Zmax],'Color','k','LineWidth',1.5);


    %dibujamos la componente y
    subplot(1,2,2);
    plot(perfil.V(1:n,2),perfil.Z(1:n),'b-');
    title('Perfil componente Vy del viento');
    xlabel('y');
    ylabel('z');
    hold on;
    miny = floor(min(perfil.V(1:n,2)));
    maxy = ceil(max(perfil.V(1:n,2)));
    y = miny:maxy;
    l = length(y);
    plot(y,zeros(length(y))+perfil.Z0,'k--');
    if max(perfil.Z(1:n)) > perfil.Zsl
        plot(y,zeros(length(y))+perfil.Zsl,'k--');
        text(miny+0.2,perfil.Zsl + 8,'Zsl');
    end
    if max(perfil.Z(1:n)) > perfil.Hm
        plot(y,zeros(length(y))+perfil.Hm,'k--');
        text(miny+0.2,perfil.Hm + 8,'Hm');
    end
    if max(perfil.Z(1:n)) > perfil.Zpbl
        plot(y,zeros(length(y))+perfil.Zpbl,'k--');
        text(miny+0.2,perfil.Zpbl + 8,'Zpbl');
    end
    line([0 0],[0 Zmax],'Color','k','LineWidth',1.5);


return
