
function perfil = principal

    fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
    fprintf(1,'\n                    Perfil Vertical del viento');
    fprintf(1,'\n+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++');
    fprintf(1,'\n');

    % mostramos todos los ficheros de medidas de velocidad en la vertical del directorio de trabajo
    fprintf(1,'Escriba el nombre del fichero que contiene las medidas del viento en la vertical\n');
    D = dir('estacion*.mat');
    fprintf(1,'\n  Ficheros de ejemplo disponibles: \n');
    for i = 1:length(D)
        fprintf(1,'    %2d: %s\n',i,D(i).name);
    end
    nombrefichero = input('   >','s');
    
    %Leemos las velocidades del viento almacenadas en el fichero
    estacion = lee_estacion(nombrefichero);
    fprintf(1,'\nUsando valores del fichero "%s"\n\n',nombrefichero);

    %Pedimos al usuario que introduzca los valores de las variables climticas
    entorno = crea_entorno;

    fprintf(1,'\nCalculamos el perfil vertical del viento\n');
    perfil = perfil_vertical(estacion,entorno);

    fprintf(1,'\nDibujamos las grficas del perfil vertical del viento\n');
    dibuja_perfil(perfil,400);

    %Calculamos y representamos el error
    dibuja_error(estacion,perfil,400);

return
